
Infrastructure - Bug #3026

Map does not appear in OneMercury

2012-06-26 16:11 - Roger Dahl

Status: Closed Start date: 2012-06-26

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.37-Block.5.3   

Milestone: CCI-1.0.4 Story Points:  

Product Version: *   

Description

When I open or refresh the Mercury search page, the map briefly appears and then gets replaced by a uniformly colored background.

When I drag the zoom bar, the map may either appear permanently, or only briefly appear.

Ubuntu 10.04.4 LTS

Firefox 13.0

and

Windows 7 64 bit

Firefox 13.0

History

#1 - 2012-06-26 16:14 - Dave Vieglais

- Tracker changed from Task to Bug

- Milestone changed from CCI-1.0.0 to None

Setting milestone to none, resolution needs to be scheduled. This is likely a problem to be dealt with by the Mercury team.

#2 - 2012-09-10 20:15 - Skye Roseboom

- Status changed from New to In Progress

- Target version set to Sprint-2012.37-Block.5.3

- Milestone changed from None to CCI-1.1

#3 - 2012-09-10 20:49 - Skye Roseboom

- Status changed from In Progress to Testing

added a call to setBaseLayer to the satellite layer and back to the default physical map layer and the painting issue seems to be resolved in all

browsers.  Also removed previous fix attempt using setTimeout,zoomIn,zoomOut.

deployed to cn-dev-unm-1.test.dataone.org.

#4 - 2012-09-10 21:06 - Skye Roseboom

Tested on cn-unm-dev-1.test.dataone.org in:

Ubuntu (lucid lynx VM Ware) - Firefox.

Windows 7 (VM Ware) - IE8, Firefox.

Mac OS X - Safari, Chrome, Firefox.

Seems to be working across these platforms reliably.
#5 - 2012-09-12 17:30 - Skye Roseboom

- Milestone changed from CCI-1.1 to CCI-1.0.4

Push this fix into the 1.0.4 release!

#6 - 2012-09-12 20:40 - Skye Roseboom

- Status changed from Testing to Closed

fix verified present on RC (stage) for 1.0.4.  appears to be fixed.
